import * as z from 'zod';
export const CloudFolderGroupByResultSchema = z.array(z.object({
  id: z.number().int(),
  userId: z.number().int(),
  name: z.string(),
  parentId: z.number().int(),
  patientId: z.number().int(),
  createdAt: z.date(),
  updatedAt: z.date(),
  _count: z.object({
    id: z.number(),
    userId: z.number(),
    name: z.number(),
    parentId: z.number(),
    patientId: z.number(),
    parent: z.number(),
    children: z.number(),
    user: z.number(),
    patient: z.number(),
    files: z.number(),
    createdAt: z.number(),
    updatedAt: z.number()
  }).optional(),
  _sum: z.object({
    id: z.number().nullable(),
    userId: z.number().nullable(),
    parentId: z.number().nullable(),
    patientId: z.number().nullable()
  }).nullable().optional(),
  _avg: z.object({
    id: z.number().nullable(),
    userId: z.number().nullable(),
    parentId: z.number().nullable(),
    patientId: z.number().nullable()
  }).nullable().optional(),
  _min: z.object({
    id: z.number().int().nullable(),
    userId: z.number().int().nullable(),
    name: z.string().nullable(),
    parentId: z.number().int().nullable(),
    patientId: z.number().int().nullable(),
    createdAt: z.date().nullable(),
    updatedAt: z.date().nullable()
  }).nullable().optional(),
  _max: z.object({
    id: z.number().int().nullable(),
    userId: z.number().int().nullable(),
    name: z.string().nullable(),
    parentId: z.number().int().nullable(),
    patientId: z.number().int().nullable(),
    createdAt: z.date().nullable(),
    updatedAt: z.date().nullable()
  }).nullable().optional()
}));